Microsoft nutí uživatele starších verzí Live Messengeru k upgradu

Microsoft začne od poloviny září vyzývat uživatele Live Messengeru 8.1 a 8.5 k upgradu na verzi 14.0.8089.


V říjnu bude upgrade již povinný, služba pro zasílání zpráv se staršími verzemi může přestat fungovat.

Jedním z hlavních důvodů, proč se Microsoft k tomuto kroku rozhodl, je podle amerického Computerworldu objevení bezpečnostní chyby ve starších verzích. Jedná se o zde už několikrát zmiňovaný problém s knihovnou ATL (Active Template Library), za níž může jediný znak „&“, který je v kódu navíc (viz např. také: Microsoft chystá 9 oprav, asi hlavně knihovny ATL, Opravy Microsoftu: ATL a Office Web Components, Adobe opravila přehrávač Flash). To, že se chyba týká i Messengeru, zjistil Microsoft teprve nedávno; firma však sama uvedla, že projít veškerý kód, aby se zjistilo, kde všude se zranitelnost projevuje, může trvat docela dlouho.

Live Messenger 14 má být nejen bezpečnější, ale nabízí i nové funkce, to by však samo o sobě nestačilo k tomu, aby Microsoft starší verzi zcela „ukončil“. K aktualizaci budou uživatelé starších verzí vyzváni, přes Windows Update se ale distribuovat nebude.

 

 











Komentáře